> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Cards Transaction

> Returns an issuing transaction objects associated with the provided transaction id.



## OpenAPI

````yaml /card-issuance/v1.6/issuing.yaml get /v1/issuing/transactions/{id}
openapi: 3.0.2
info:
  title: Issuing API
  version: 0.0.1
  description: >
    UQPAY Issuing API allows you to issue virtual cards, manage cardholders, and
    monitor card transactions.


    ## What you can do

    - Create and manage virtual cards (issue, activate, freeze, cancel)

    - Onboard and verify cardholders with KYC

    - Set spending limits and card controls

    - Recharge and withdraw card balances

    - Query card transactions and account balances

    - Transfer funds between issuing accounts

    - Generate and download reports


    ## Authentication

    All requests require a valid auth token obtained via the [Access
    Token](/account-center/v1.6/api-reference/access-token) endpoint. Include
    the token in the `x-auth-token` header.


    ## Idempotency

    POST requests support the `x-idempotency-key` header to safely retry without
    creating duplicate resources.
  contact:
    name: UQPAY Support Team
    url: https://www.uqpay.com/support
    email: support@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: uqpay-issuing-api-v1.6.0
  x-categories:
    - Card Issuing
    - Transaction Processing
  x-features:
    - Virtual Card Issuance
    - Real-time Processing
    - Webhook Notifications
    - Comprehensive Reporting
    - Transaction Monitoring
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Cards
    description: >-
      These APIs are designed for you to be able to manage your consumer's cards
      easily, allowing you to set spending limits, modify the status of the
      cards.
  - name: Cardholders
    description: >-
      You can create cardholders, which are authorized representatives of your
      business that can be issued cards.
  - name: Transactions
    description: >-
      These APIs allow you to retrieve information on transactions that are made
      on your user's cards.
  - name: Products
    description: >-
      With this set of APIs, you will be able to create card orders for your
      customers.
  - name: Balances
    description: >-
      The available and pending amounts for each currency are broken down
      further by payment source types. You can retrieve it to see the balance
      currently on your issuing account.
  - name: Transfers
    description: Transfer funds between issuing accounts.
  - name: Reports
    description: Generate and download issuing reports.
  - name: Simulator
    description: Simulate card transactions on the sandbox environment.
paths:
  /v1/issuing/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Retrieve Cards Transaction
      description: >-
        Returns an issuing transaction objects associated with the provided
        transaction id.
      operationId: retrieve-cards-transaction
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/TransactionId'
      responses:
        '200':
          description: OK - Card transaction returned successfully.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardTranactionsResponse'
                title: TransferRetrieveResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        Specifies the sub-account on whose behalf the request is made. This
        should be set to the `account_id`, which can be retrieved via the [List
        Connected
        Accounts](/account-center/v1.6/api-reference/list-connected-accounts)
        endpoint. If omitted or empty, the request is executed using the master
        account.

        More information at [Connected
        Accounts](/account-center/v1.6/guide/connected-accounts).
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    TransactionId:
      name: id
      description: Unique identifier for the cards transaction.
      in: path
      required: true
      schema:
        type: string
        example: c0cef051-29c5-4796-b86a-cd5b684bfad7
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CardTranactionsResponse:
      type: object
      required:
        - card_id
        - card_number
        - cardholder_id
        - transaction_id
        - short_transaction_id
        - original_transaction_id
        - transaction_type
        - transaction_fee
        - transaction_fee_currency
        - fee_pass_through
        - card_available_balance
        - authorization_code
        - billing_amount
        - billing_currency
        - transaction_amount
        - transaction_currency
        - transaction_time
        - merchant
        - posted_date
        - description
        - transaction_status
      properties:
        card_id:
          $ref: '#/components/schemas/CardId'
        card_number:
          $ref: '#/components/schemas/CardNumber'
        cardholder_id:
          $ref: '#/components/schemas/CardholderId'
        transaction_id:
          $ref: '#/components/schemas/TransactionId'
        short_transaction_id:
          $ref: '#/components/schemas/ShortTransactionId'
        original_transaction_id:
          $ref: '#/components/schemas/OriginalTransactionId'
        transaction_type:
          $ref: '#/components/schemas/CardTranscationType'
        transaction_fee:
          type: number
          example: 0.25
          description: Transaction fee.
        transaction_fee_currency:
          type: string
          example: SGD
          description: Transaction fee currency.
        fee_pass_through:
          type: string
          example: 'Y'
          enum:
            - 'Y'
            - 'N'
          description: >
            Indicates whether the transaction fee was deducted from the card
            balance.  

            * `Y` – The transaction fee was charged directly from the card.

            * `N` – The transaction fee was covered by the main account instead
            of the card.  

            By default, fees are charged to the main account unless configured
            otherwise.
        card_available_balance:
          type: number
          example: 2506.26
          description: The card available balance.
        authorization_code:
          type: string
          example: 856268
          description: Authorization Code
        billing_amount:
          type: number
          example: 70.25
          description: Billing amount
        billing_currency:
          type: string
          example: SGD
          description: Billing Currency
        transaction_amount:
          type: number
          example: 100.25
          description: Transaction amount
        transaction_currency:
          type: string
          example: USD
          description: Transaction currency
        transaction_time:
          type: string
          example: '2024-03-21T17:17:32+08:00'
          description: Transaction occurrence time
        posted_time:
          type: string
          example: '2024-03-21T17:17:32+08:00'
          description: Transaction posted time
        merchant_data:
          $ref: '#/components/schemas/MerchantData'
        description:
          type: string
          description: >
            Provides additional context based on the transaction status.  

            - If `transaction_status` is `DECLINED`, this field contains the
            reason for the failure.  

            - If `transaction_status` is `APPROVED`, this field contains
            supplementary remarks(e.g. "1000 - Authorization Approval", "3DS
            Fee").
          example: 1107 - Invalid CVV2
        transaction_status:
          type: string
          description: >-
            The high-level status indicating the stage of the transaction
            lifecycle.
          example: DECLINED
          enum:
            - APPROVED
            - DECLINED
            - PENDING
        wallet_type:
          $ref: '#/components/schemas/WalletType'
    CardId:
      type: string
      example: c0cef051-29c5-4796-b86a-cd5b684bfad7
      description: Unique identifier for the card.
    CardNumber:
      type: string
      example: '************5668'
      description: Masked card number
    CardholderId:
      type: string
      description: The cardholder’s unique identifier.
      example: 7c4ff2cd-1bf6-4aaa-bf16-266771425011
      format: uuid
    TransactionId:
      type: string
      format: uuid
      description: Unique Identifier for transaction.
      example: 5135e6cc-28b6-4889-81dc-3b86a09e1395
    ShortTransactionId:
      type: string
      format: uuid
      description: Short unique identifier for transaction.
      example: CT2024-03-01
    OriginalTransactionId:
      type: string
      format: uuid
      description: Unique Identifier for the original transaction.
      example: 1234e6cc-28b6-4889-81dc-3b86a09e1395
    CardTranscationType:
      type: string
      example: AUTHORIZATION
      description: |
        Transaction type of card.
      enum:
        - AUTHORIZATION
        - REFUND
        - FUND COLLECTION
        - ATM DEPOSIT
        - REVERSAL
        - VALIDATION
        - SETTLEMENT DEBIT
        - SETTLEMENT CREDIT
        - SETTLEMENT REVERSAL
        - CHARGEBACK DEBIT
        - CHARGEBACK CREDIT
      x-enumDescriptions:
        AUTHORIZATION: Funds reserved due to card usage.
        REFUND: Refunding the purchase amount back to account balance.
        FUND COLLECTION: Receiving funds into the account from external sources.
        ATM DEPOSIT: Funds deposited to the account via an ATM.
        REVERSAL: Reversing an authorization.
        VALIDATION: Card Binding Verification.
        SETTLEMENT DEBIT: Netting and deduction of reconciliation discrepancies.
        SETTLEMENT CREDIT: Netting and crediting of reconciliation discrepancies.
        SETTLEMENT REVERSAL: Netting and reversal of reconciliation discrepancies.
        CHARGEBACK DEBIT: Funds debited due to chargebacks.
        CHARGEBACK CREDIT: Funds credited due to chargebacks.
    MerchantData:
      type: object
      description: >-
        Details about the merchant (grocery store, e-commerce website, etc.)
        involved in this transaction.
      required:
        - category
        - interval
      properties:
        category_code:
          type: string
          description: The merchant category code for the merchant’s business.
          example: '6011'
        city:
          type: string
          description: City where the merchant is located
          example: CITY NAME
        country:
          type: string
          description: Country where the merchant is located
          example: CN
        name:
          type: string
          description: Name of the merchant
          example: ACQUIRER NAME
    WalletType:
      type: string
      description: Indicates which digital wallet was used for the transaction.
      enum:
        - ApplePay
        - GooglePay
        - GOOGLE ECOMMERCE
        - GOOGLE
        - GOOGLE PAY
      example: ApplePay
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````